<?php

if (strpos ($_SERVER['PHP_SELF'], 'functions.inc') !== false) {
    die ('This file can not be used on its own.');
}


// +---------------------------------------------------------------------------+
// | Geeklog Plugin API Implementations                                        |
// +---------------------------------------------------------------------------+

/**
* Geeklog is checking to see if this plugin supports comments, tell it no.
*
* NOTE: to support comments you must used the same date/time based ID for your
* widget.  In other words, to make primary keys for your plugin you should call
* makesid().  Comments are keyed off of that...it is a limitation on how Geeklog
* does comments.
*
*/
function plugin_commentsupport_muxlimtv()
{
    // muxlimtv will not use comments
    return false;
}
/**
* Implements the [muxlimtv:] autotag.
*
*/
function plugin_autotags_muxlimtv ($op, $content = '', $autotag = '')
{
    global $_CONF, $_TABLES;

    if ($op == 'tagname' ) {
        return 'muxlimtv';
    } else if ($op == 'parse') {
        $whichtube = COM_applyFilter ($autotag['parm1']);
       
       $retval = '<object width="425" height="350"><param name="movie" value="http://tv.muxlim.com/embed/' . $whichtube . '"></param><param name="wmode" value="transparent"></param><embed src="http://tv.muxlim.com/embed/' . $whichtube . '" type="application/x-shockwave-flash" wmode="transparent" width="425" height="350"></embed></object>';

       $content = str_replace ($autotag['tagstr'], $retval, $content);

        return $content;
    }
}


/**
* Removes the data structures for this plugin from the Geeklog database
*
* This may get called by the install routine to undo anything done to this
* point.  To do that, $steps will have a list of steps to undo
*
* @steps   Array    Holds all the steps that have been completed by the install
*
*/
function plugin_uninstall_muxlimtv($steps = '')
{
    global $_TABLES;

    // Uninstalls the muxlimtv plugin
    
    // Unregister the plugin with Geeklog
    // Always attempt to remove these entries or lib-common.php would still
    // try and read our functions.inc file ...
    COM_errorLog('Attempting to unregister the plugin from Geeklog',1);
    DB_query("DELETE FROM {$_TABLES['plugins']} WHERE pi_name = 'muxlimtv'");
    COM_errorLog('...success',1);

    COM_errorLog('leaving plugin_uninstall_muxlimtv',1);

    return true;
}
?>
